#
# spec file for package bvi
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bvi
Version:        1.4.2
Release:        1.4
Summary:        Editor for binary files
License:        GPL-2.0-or-later
Group:          Productivity/Text/Editors
URL:            https://bvi.sourceforge.net
Source:         https://sourceforge.net/projects/bvi/files/bvi/%{version}/bvi-%{version}.src.tar.gz
BuildRequires:  ncurses-devel

%description
The bvi is a display-oriented editor for binary files, based on the vi
texteditor. If you are familiar with vi, just start the editor and begin to
edit! A bmore program is also included in the package.  If you never heard
about vi, maybe bvi is not the best choice for you.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc CHANGES CREDITS README
%{_bindir}/bmore
%{_bindir}/bvedit
%{_bindir}/bvi
%{_bindir}/bview
%{_datadir}/bvi
%{_mandir}/man1/bvi.1%{?ext_man}
%{_mandir}/man1/bmore.1%{?ext_man}

%changelog
* Sun Apr 16 2023 Dirk Müller <dmueller@suse.com>
- update to 1.4.2:
  * :wq bug fixed
  * Error-message if input no terminal
  * Mixed licenses (SF bug #10)
  * Segmentation fault occurs on undo (SF bug #11)
  * Segmentation fault occurs on substitution in 32-bit systems
  * ncursesw support
  * Handling inputs larger than 2^31 bytes (SF bug #13)
  * Some incorrect function prototypes in ANSI mode fixed (SF bug
  * Minor fixes
* Sat Nov 30 2019 Avindra Goolcharan <avindra@opensuse.org>
- Update to 1.4.1
  * Compile warning: implicit declaration of function ‘save_chk’
  * fixed bmore seg fault on file not found
  * set columns prevents filename display on the commandline
  * bmore new option -r
  * bvi new setting: set reverse
  * Characters between 160 - 254 are displayed as "reverse video
    text" as used in some legacy systems (Atari, Commodore,
    Apple II, etc).
  * castings fixed in comm.c
- cleanup with spec-cleaner
* Mon Mar  6 2017 aloisio@gmx.com
- Use GPL-2.0+ license
* Thu May  5 2016 mpluskal@suse.com
- Update to 1.4.0
- Cleanup spec file with spec-cleaner
* Fri Oct 20 2006 Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial release of 1.3.2 in the BuildService
